import { defineComponent } from "vue";
import { useRenderIcon } from "/@/components/ReIcon/src/hooks";

const ActionPreview = defineComponent({
  name: "ActionCreate",
  emits: ["preview"],
  setup(_, { emit }) {
    return () => (
      <el-button
        class="reset-margin"
        link
        type="primary"
        onClick={() => emit("preview")}
        icon={useRenderIcon("eye-view")}
      />
    );
  }
});

export default ActionPreview;
